#include "helper.h"
#include "c.h"
#include "ld.h"
#include "tier1/utlstring.h"
#include "tier1/commandline.h"

CUtlVector<CUtlString> client_CompiledFiles = {
	"game/client/milmoba/player.cpp",
};

int client_build()
{
	CCProject compileProject = {};
	CLDProject ldProject = {};

	compileProject.m_szName = "client";
	compileProject.files = client_CompiledFiles;
	compileProject.includeDirectories = all_IncludeDirectories;
	compileProject.bFPIC = true;
	ldProject = compileProject.Compile();
	if (bStaticBuild)
		ldProject.linkType = ELINK_STATIC_LIBRARY;
	else
		ldProject.linkType = ELINK_DYNAMIC_LIBRARY;

	CUtlString outputProject = ldProject.Link();
	
	if (!bStaticBuild)
	{
		IFileSystem2::MakeDirectory(CUtlString("%s/funnygame/bin",szOutputDir.GetString()));
		IFileSystem2::CopyFile(CUtlString("%s/funnygame/bin", szOutputDir.GetString()), outputProject);
	} else {
		client_lib = outputProject;
	}

	return 0;
};
DECLARE_BUILD_STAGE(client, client_build);
